## GgitCred GgitCred |

## Functions

gint | (*GgitCredAcquireCallback) ()

## Types and Values

| GgitCred
struct | GgitCredClass

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitCred
                    ╰── GgitCredPlaintext

## Description

## Functions

### GgitCredAcquireCallback ()

    gint
    (*GgitCredAcquireCallback) (const gchar *url,
                                const gchar *username_from_url,
                                guint allowed_types,
                                GgitCred **cred,
                                gpointer user_data);

Signature of a function which acquires a credential object.

#### Parameters

url | the resource for which we are demanding a credential. |
username_from_url | The username that was embedded in a "user`host` " remote url, or NULL if not included. | [allow-none]
allowed_types | a bitmask stating which cred types are OK to return. |
cred | newly created credential object. | [transfer full]
user_data | user-supplied data. | [closure]

## Types and Values

### GgitCred

    typedef struct _GgitCred GgitCred;

Represents a git credential.

### struct GgitCredClass

    struct GgitCredClass {
    };